# eric7.Plugins.VcsPlugins.vcsMercurial.CloseheadExtension.HgCloseHeadSelectionDialog

Module implementing a dialog to select the heads to be closed.

### Global Attributes

None

### Classes

HgCloseHeadSelectionDialog | Class implementing a dialog to select the heads to be closed.

### Functions

None

## HgCloseHeadSelectionDialog

Class implementing a dialog to select the heads to be closed.

### Derived from

QDialog, Ui_HgCloseHeadSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgCloseHeadSelectionDialog | Constructor
__getHeads | Private method to get the open heads.
getData | Public method to retrieve the entered data.
on_headsList_itemSelectionChanged | Private slot handling changes of the selection.

### Static Methods

None

#### HgCloseHeadSelectionDialog (Constructor)

HgCloseHeadSelectionDialog(vcs, parent=None)

Constructor

vcs (Hg)
  reference to the VCS object
parent (QWidget)
  reference to the parent widget

#### HgCloseHeadSelectionDialog.__getHeads

__getHeads(vcs)

Private method to get the open heads.

vcs (Hg)
  reference to the VCS object

Return:
  list of tuples containing the revision and the corresponding branch name

Return Type:
  list of tuples of (str, str)

#### HgCloseHeadSelectionDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple containing a list of selected revisions and the commit message

Return Type:
  tuple of (list of str, str)

#### HgCloseHeadSelectionDialog.on_headsList_itemSelectionChanged

on_headsList_itemSelectionChanged()

Private slot handling changes of the selection.

Up